# pooler | MatterLinux pool server
Simple MPTP server implementation for serving MatterLinux package pools.
Built on top of [`libmp`](https://git.matterlinux.xyz/Matter/libmp).

### Installation
If you are using MatterLinux, this package should be avaliable on the `desktop`
repo, and you can install it with the package manager. If you are not using
MatterLinux you can build it from the source and install it.

To this you will need the following tools and libraries:
- gcc
- make
- [libmp](https://git.matterlinux.xyz/Matter/libmp)
- libinih
- gettext

After installing these dependencies, you should download the latest release.
If you are building this program for development purposes, then you may also
build from the latest commit. However latest commit may not always be compilable.

After obtaining the source code, you can compile the program using the make
tool:
```bash
make
```

To install the binary and the configuration files, you can use the `install` command:
```bash
make install
```

You can also build the program using docker:
```bash
docker build --tag pooler .
```

And for deployment you can use docker-compose, just make sure you read the compose file
and place the configuration file and the pools to the right place:
```bash
docker-compose up -d
```

### Usage
To start a serving pools, specify a configuration file, default configuration file is
installed in the `/etc/pooler` directory:
```bash
pooler /etc/pooler/config.ini
```
To learn more about configuration options, see this MatterLinux [wiki page](https://matterlinux.xyz/wiki/pooler).
