#pragma once
#include <stdbool.h>
#include <stdio.h>

typedef enum config_type {
  TYPE_STRING  = 0,
  TYPE_INTEGER = 1,
} config_type_t;

union value {
  char *string;
  int   integer;
};

typedef struct config_option {
  config_type_t type;
  char         *key;
  union value   def;
  union value   val;
} config_option_t;

typedef struct pool_config {
  struct pool_config *next;
  char               *name;
  char               *host;
} pool_config_t;

typedef struct config {
  config_option_t options[4];
  pool_config_t  *pools;
} config_t;

extern config_t config;

bool config_load(char *file);
void config_free();

char *config_get_string(char *key);
int   config_get_integer(char *key);
